com.dlsc.flexgantt.util

## Enum LabelType

- java.lang.Object
- - java.lang.Enum<LabelType>
  - - com.dlsc.flexgantt.util.LabelType

- All Implemented Interfaces:
    Serializable, Comparable<LabelType>

      public enum LabelType
      extends Enum<LabelType>

  An enumerator that contains values for specifiying different types of labels.
  Since:
    1.0
  Version:
    $Revision: 1.8 $
  Author:
    Dirk Lemmermann
  See Also:
    `ILabelPolicy.getLabel(com.dlsc.flexgantt.model.gantt.IRelationship, com.dlsc.flexgantt.model.gantt.IGanttChartModel, LabelType)`, `ILabelPolicy.getLabel(com.dlsc.flexgantt.model.gantt.TimelineObjectPath, com.dlsc.flexgantt.model.gantt.IGanttChartModel, LabelType)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DESCRIPTION` Value for getting / setting the description of an object.
    `DRAG_INFO_TITLE` Value for getting / setting the drag info title of an object.
    `NAME` Value for getting / setting the name of an object.
    `STATUS` Value for getting / setting the status of an object.
    `TOOLTIP` Value for getting / setting the tooltip of an object.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LabelType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LabelType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NAME

          public static final LabelType NAME

      Value for getting / setting the name of an object.
      Since:
        1.0

    - #### TOOLTIP

          public static final LabelType TOOLTIP

      Value for getting / setting the tooltip of an object.
      Since:
        1.0

    - #### DESCRIPTION

          public static final LabelType DESCRIPTION

      Value for getting / setting the description of an object.
      Since:
        1.0

    - #### STATUS

          public static final LabelType STATUS

      Value for getting / setting the status of an object.
      Since:
        1.0

    - #### DRAG_INFO_TITLE

          public static final LabelType DRAG_INFO_TITLE

      Value for getting / setting the drag info title of an object.
      Since:
        1.0

  - ### Method Detail

    - #### values

          public static LabelType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LabelType c : LabelType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LabelType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.